
/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// disable option detail button on change of option set dropdown until next save
function linker_presetname_onchange()
{
	document.getElementById('option_detail').disabled = true;
	document.getElementById('preset_description').value = '';
};

// show or hide single groups
function linker_groupselect_onchange()
{
	// always add first hidden class in order to have proper state
	$( 'tbody#group_items' ).addClass( 'hidden' );
	$( 'tbody#collection_items' ).addClass( 'hidden' );
	if ( $("#group_select").val() == 'select' )
	{
		$( 'tbody#group_items' ).removeClass( 'hidden' );
	}
	if ( $("#group_select").val() == 'collection' )
	{
		$( 'tbody#collection_items' ).removeClass( 'hidden' );
	}
};
