
/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


/*
 * check release code
 */
function linker_release_code( linkId)
{
	var releaseCode = prompt(TEXT_ASK_RELEASE_CODE, "");
	if(releaseCode == null)
	{
		// do nothing when user cancel the prompt
	}
	else if(releaseCode != "")
	{
		//LEPTON_URL+'
		var url = '/modules/linker_view/ajax.release_code.php';
		var postdata = {
				action: 'checkReleaseCode'
				, link_id: linkId
				, release_code: releaseCode
			}

		$.ajax({
			url: url
			, type: 'post'
			, dataType: 'json'
			, data: postdata
			, success: function (data)
			{
				if ( data.status > 0 )
				{
					$('#download_start_'+linkId).show();
				
					$('#download_url_'+linkId).attr("href", data.ResponseText);
					$('#download_url_'+linkId).attr('target', '_blank');
					$('#download_url_'+linkId).removeAttr("onclick");
				}
				else
				{
					alert(TEXT_WRONG_RELEASE_CODE);
				}
			}
		});
	}
	else
	{
		alert(TEXT_MISSED_RELEASE_CODE);
	}
};
