<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// Titel
	$MOD_LINKER_VIEW['H2']						= 'Link Handling';

// field names
	$MOD_LINKER_VIEW['FLD']['in_active']			= 'Aktiv / Inaktiv';
	$MOD_LINKER_VIEW['FLD']['preset_name']		= 'Preset';
	$MOD_LINKER_VIEW['FLD']['group_select']		= 'Link Gruppen Auswahl';
	$MOD_LINKER_VIEW['FLD']['groups']			= 'Link Gruppen';
	$MOD_LINKER_VIEW['FLD']['collections']		= 'Kollektionen';
	$MOD_LINKER_VIEW['FLD']['description']		= 'Preset Beschreibung';
	$MOD_LINKER_VIEW['FLD']['notes']				= 'Notizen';

// placeholder values
	// if such a value is set, the placeholder is shown when empty
//	$MOD_LINKER_VIEW['PLH']['preset_name']		= '';

// helptext values
	// if such a value is set, the help icon is shown with this text as title
	$MOD_LINKER_VIEW['HLP']['in_active']			= 'Setze diesen Abschnitt auf Aktiv oder Inaktiv.';
	$MOD_LINKER_VIEW['HLP']['preset_name']		= 'Bestimmt das einzubindende Preset';
	$MOD_LINKER_VIEW['HLP']['group_select']		= 'Definiert welche Link Gruppen hier angezeigt werden sollen.';
	$MOD_LINKER_VIEW['HLP']['groups']			= 'Markiere die Gruppen, welche im Frontend angezeigt werden sollen.';
	$MOD_LINKER_VIEW['HLP']['collections']		= 'Markiere die Kollektionen, welche im Frontend angezeigt werden sollen.';
	$MOD_LINKER_VIEW['HLP']['description']		= 'Eine Preset Beschreibung';
	$MOD_LINKER_VIEW['HLP']['notes']				= 'Eigene Notizen zu diesem Setup';

// default value for option list
	$MOD_LINKER_VIEW['LIST']['preset_select']	= 'Bitte auswählen ...';
	$MOD_LINKER_VIEW['LIST']['groups']['all']	= 'Alle';
	$MOD_LINKER_VIEW['LIST']['groups']['select']	= 'Ausgewählte Gruppen ...';
	$MOD_LINKER_VIEW['LIST']['groups']['collection']	= 'Ausgewählte Kollektionen ...';

// Button name
	$MOD_LINKER_VIEW['BTN']['options']			= 'Optionen Detail ...';

// tooltips
	$MOD_LINKER_VIEW['XTIP']['group']['ACTIVE']			= 'Diese Gruppe ist Aktiv.';
	$MOD_LINKER_VIEW['XTIP']['group']['INACTIVE']		= 'Diese Gruppe ist NICHT Aktiv!';
	$MOD_LINKER_VIEW['XTIP']['group']['DELETED']			= 'Diese Gruppe ist als >gelöscht< markiert.';
	$MOD_LINKER_VIEW['XTIP']['group']['UNDEFINED']		= 'Diese Gruppe beinhaltet Links mit verschiedenen Status.';
	$MOD_LINKER_VIEW['XTIP']['collection']['ACTIVE']		= 'Alle Gruppen dieser Kollektion sind Aktiv.';
	$MOD_LINKER_VIEW['XTIP']['collection']['INACTIVE']	= 'Alle Gruppen dieser Kollektion sind NICHT Aktiv!';
	$MOD_LINKER_VIEW['XTIP']['collection']['SOMEACTIVE']	= 'Einige Gruppen dieser Kollektion sind Aktiv, andere NICHT Aktiv!';
	$MOD_LINKER_VIEW['XTIP']['collection']['DELETED']	= 'Alle Gruppen dieser Kollektion sind als >gelöscht< markiert.';
	$MOD_LINKER_VIEW['XTIP']['collection']['UNDEFINED']	= 'Diese Kollektion beinhaltet Gruppen & Links mit verschiedenen Status.';
	$MOD_LINKER_VIEW['XTIP']['collection']['VARIOUSVISIBLE']	= 'Diese Kollektion beinhaltet Gruppen mit verschiedenen Sichtbarkeiten.';

	$MOD_LINKER_VIEW['TIP']['active']			= 'Dieser Abschnitt ist Aktiv.';
	$MOD_LINKER_VIEW['TIP']['inactive']			= 'Dieser Abschnitt ist Inaktiv.';

// JS dialog titles
	$MOD_LINKER_VIEW['DIALOG']['toggle_active']	= 'Aktiv / Inaktiv';


?>
