<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// set $data with values from info.php
	$data['module'][ 'module_directory' ]		= ( isset( $module_directory )		== TRUE	? $module_directory		: '' );
	$data['module'][ 'module_name' ]			= ( isset( $module_name )			== TRUE	? $module_name			: '' );
	$data['module'][ 'module_function' ]		= ( isset( $module_function )		== TRUE	? $module_function		: '' );
	$data['module'][ 'module_version' ]			= ( isset( $module_version )		== TRUE	? $module_version		: '' );
	$data['module'][ 'module_platform' ]		= ( isset( $module_platform )		== TRUE	? $module_platform		: '' );
	$data['module'][ 'module_author' ]			= ( isset( $module_author )			== TRUE	? $module_author		: '' );
	$data['module'][ 'module_license' ]			= ( isset( $module_license )		== TRUE	? $module_license		: '' );
	$data['module'][ 'module_license_terms' ]	= ( isset( $module_license_terms )	== TRUE	? $module_license_terms	: '' );
	$data['module'][ 'module_description' ]		= ( isset( $module_description )	== TRUE	? $module_description	: '' );
	$data['module'][ 'module_guid' ]			= ( isset( $module_guid )			== TRUE	? $module_guid			: '' );
	$data['module'][ 'module_home' ]			= ( isset( $module_home )			== TRUE	? $module_home			: '' );

	$query = 'SELECT `value` from ' . TABLE_PREFIX . 'settings WHERE `name`= "lepton_version";';
	$data['add'][ 'LEPTON_version' ]			= linker_execute_query( __FUNCTION__, $query, 'get_one' );

	$data['add'][ 'php_version' ]				= phpversion();
	
	$query = 'SELECT VERSION();';
	$data['add'][ 'mysql_version' ]				= linker_execute_query( __FUNCTION__, $query, 'get_one' );

?>
