<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// make array out of saved manually selected groups
	$selected = array();
	if ( count( $data ) > 0 ):
		if (( $data[ 'group_select' ] == 'collection' )
		and ( strlen( trim( $data[ 'link_groups' ] )) > 0 )):
			$selected = json_decode( $data[ 'link_groups' ], true );
		endif;
	endif;

// loop over array of groups and build up collection array
	if ( count( $selected ) > 0 ):
		foreach ( $collections as $id => $item ):
			// is current group in manual selection list
			if ( in_array( $id, $selected ) == TRUE ):
				// mark item as selected
				$item[ 'selected' ] = 1;
				// update collection array
				$collections[$id] = $item;
			endif;
		endforeach;
	endif;
?>
