<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


/* **********************************
 * Default assignments
 * **********************************
 */

// backlink in form
	$form_values[ 'cancel_target' ]			= ADMIN_URL . '/pages/modify.php?page_id=' . $page_id . '&leptoken=' . $leptoken;
	$form_values[ 'save_target' ]			= $form_values[ 'cancel_target' ];

// leptoken
	$form_values[ 'leptoken' ]				= $leptoken;

// add config
	$form_values[ 'presetConfig' ]			= $presetConfig;

// add main form data set
	$form_values[ 'data' ]					= $optionSets;
	$form_values[ 'optionsHeader' ]			= $optionsHeader;

	$form_values[ 'preset_name' ]			= $data[ 'preset_name' ];
	$form_values[ 'preset_path' ]			= $data[ 'preset_path' ];

	if (( strlen( $data[ 'options' ] )    > 0 )
	 or ( strlen( $data[ 'properties' ] ) > 0 )):
		$form_values[ 'inDB' ]	= 1;
	else:
		$form_values[ 'inDB' ]	= 0;
	endif;

?>
